PETSc version 3.15.5
Fix/Edit manual page

# TSSetSNES

Set the SNES (nonlinear solver) to be used by the timestepping context

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSSetSNES(TS ts,SNES snes)

Collective

### Input Parameter

| ts | - the TS context obtained from TSCreate()
| snes | - the nonlinear solver context

### Notes

Most users should have the TS created by calling TSGetSNES()

### Level

developer

### Location

src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages